package com.m2pool.oapi.mapper;

import com.m2pool.common.datasource.annotation.HashRateDB;
import com.m2pool.common.datasource.annotation.InfoDB;
import com.m2pool.oapi.dto.HashRateDto;
import com.m2pool.oapi.dto.HashRateRealDto;
import com.m2pool.oapi.dto.PoolWatchDto;
import com.m2pool.oapi.entity.MinerState;
import com.m2pool.oapi.vo.AccountVo;
import com.m2pool.oapi.vo.CoinVo;
import com.m2pool.oapi.vo.DateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @Description TODO
 * @Date 2022/8/30 17:47
 * @Author 杜懿
 */
@InfoDB
public interface PoolMapper {

        @HashRateDB
        public HashRateRealDto getPoolRealHashRateListByCoin(@Param("vo") CoinVo vo);

        public List<HashRateDto> getPoolHashRateHistory24hListByCoin(@Param("vo") DateVo vo);

        public List<HashRateDto> getPoolHashRateHistory30mListByCoin(@Param("vo") DateVo vo);

        @HashRateDB
        public List<MinerState> getMinerListByCoin(@Param("vo") CoinVo vo);

        @HashRateDB
        public PoolWatchDto getPoolWatchByCoin(@Param("vo") CoinVo vo);

        @HashRateDB
        public HashRateDto getPoolRealHashRateByCoin(@Param("vo") CoinVo vo);


}
